For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
  • Overview
    • Introduction
    • Getting started
  • Employer of Record
    • Overview
    • Hiring & contracts
    • Employment management
    • Amendments & offboarding
    • Worker onboarding
    • Worker self-service
  • Independent Contractor
    • Overview
    • Create & onboard
    • Manage contracts
  • EOR Endpoints
  • EOR Worker Endpoints
  • IC Endpoints
      • POSTCreate an invoice adjustment
      • DELDelete adjustment
      • GETInvoice line item by Id
      • GETInvoice line items by contract
      • GETList invoice adjustments
      • POSTReview a single invoice adjustment
      • PATCHUpdate an invoice adjustment
LogoLogo
SupportDeel Home
IC EndpointsInvoice Adjustments

Delete adjustment

DELETE
/invoice-adjustments/:id
DELETE
/rest/v2/invoice-adjustments/:id
$curl -X DELETE https://api.letsdeel.com/rest/v2/invoice-adjustments/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Permanently removes an invoice adjustment by its id. Token scopes: invoice-adjustments:write

Was this page helpful?
Previous

Invoice line item by Id

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired
Invoice adjustment id.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/